Bug 196843 - Implement IDREF element reflection
Summary: Implement IDREF element reflection
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on: 244972 245301 239852 239853 240563 245229 245429
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-11 18:10 PDT by James Craig
Modified: 2022-09-20 09:06 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Craig 2019-04-11 18:10:51 PDT
## IDREF element reflection

- IDREF element reflection pull request approved by WhatWG, but is awaiting implementations to merge: https://github.com/whatwg/html/pull/3917

Not specific to Accessibility, but there is also an ARIA follow-up.
- The ARIA pull request has been verbally approved; Alice is looking into WPT tests
- pull request: https://github.com/w3c/aria/pull/920
- tests for previous IDL change (generated): https://github.com/web-platform-tests/wpt/commit/4caae418cffa4f803f2fe283a4d3fd7cfaae7461
Comment 1 Radar WebKit Bug Importer 2019-04-11 18:11:31 PDT
<rdar://problem/49836210>
Comment 2 Chris Dumez 2022-05-13 11:54:04 PDT
Manuel, what work remains to be done here?
Comment 3 Manuel Rego Casasnovas 2022-05-16 02:33:42 PDT
(In reply to Chris Dumez from comment #2)
> Manuel, what work remains to be done here?

The implementation work should be ready, unless someone changes on the spec side.
The only remaining bit would be enabling AriaReflectionForElementReferencesEnabled flag by default, but I guess that would need to wait for some spec work.

From the spec side, these properties need to be re-added to ARIA spec.
They were there for a while, but got removed until the HTML spec gets updated:
https://github.com/w3c/aria/pull/1260

The HTML PR is: https://github.com/whatwg/html/pull/3917
I've posted a comment today with the updates to see if it can get merged and unblock the situation.
Comment 4 Manuel Rego Casasnovas 2022-05-18 00:20:13 PDT
(In reply to Manuel Rego Casasnovas from comment #3)
> (In reply to Chris Dumez from comment #2)
> > Manuel, what work remains to be done here?
> 
> The implementation work should be ready, unless something changes on the spec
> side.

It looks like there's a missing bit from the spec that we are not implementing yet. I've reported a separated bug about that, see bug #240563.
Comment 5 Manuel Rego Casasnovas 2022-06-10 09:35:33 PDT
(In reply to Chris Dumez from comment #2)
> Manuel, what work remains to be done here?

An update on the status.

WebKit implementation is feature complete and passes all the tests.

The HTML PR has been merged: https://github.com/whatwg/html/pull/7934

I've sent a PR for ARIA to add these attributes back to the IDL: https://github.com/w3c/aria/pull/1755

So I guess it's up to you to decide when you want to enable this feature by default. I can prepare the patch for that, if you ask me to do it.
Comment 6 Chris Dumez 2022-07-06 08:26:01 PDT
(In reply to Manuel Rego Casasnovas from comment #5)
> (In reply to Chris Dumez from comment #2)
> > Manuel, what work remains to be done here?
> 
> An update on the status.
> 
> WebKit implementation is feature complete and passes all the tests.
> 
> The HTML PR has been merged: https://github.com/whatwg/html/pull/7934
> 
> I've sent a PR for ARIA to add these attributes back to the IDL:
> https://github.com/w3c/aria/pull/1755
> 
> So I guess it's up to you to decide when you want to enable this feature by
> default. I can prepare the patch for that, if you ask me to do it.

I have no opposition to enabling by default.
Comment 7 James Craig 2022-07-06 09:20:20 PDT
> I have no opposition to enabling by default.

Same here. Thanks Rego.
Comment 8 Manuel Rego Casasnovas 2022-07-06 21:49:14 PDT
Pull request: https://github.com/WebKit/WebKit/pull/2151
Comment 9 EWS 2022-07-18 22:27:00 PDT
Committed 252590@main (dcb5be262b06): <https://commits.webkit.org/252590@main>

Reviewed commits have been landed. Closing PR #2151 and removing active labels.
Comment 10 WebKit Commit Bot 2022-09-20 09:06:24 PDT
Re-opened since this is blocked by bug 245429